/* MAIN */
/* MAIN */

/* GOOGLE FONTS */
/* GOOGLE FONTS */

/*.inter-<uniquifier> {
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
	font-weight: <weight>;
	font-style: normal;
}*/

.nav_text {
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
	font-weight: 900;
	font-style: normal;
	font-size: 40px;
	text-decoration: none;
	color: #bfbfbf;
}

.nav_text.active {
	color: #00b611;
}

a.nav_text:hover {
	color: #00b611;
}

.nav_text_smaller {
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
	font-weight: 900;
	font-style: normal;
	font-size: 24px;
	text-decoration: none;
	color: #bfbfbf;
}

.nav_text_smaller.active {
	color: #00b611;
}

a.nav_text_smaller:hover {
	color: #00b611;
}

.nav_text_left {
	text-align: left;
}

.nav_text_right {
	text-align: right;
}

body {
	background: #000000;
	color: #ffffff;
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
	font-weight: 500;
	font-style: normal;
	padding: 40px 20px;
	text-align: center;
	overflow-x: hidden;
}

.container {
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	padding: 0px;
	justify-content: center;
	/*color: #fff;*/
	width: 100%;
	max-width: 900px;
	margin: 0px auto;
	text-align: center;
}

.card {
	display: inline-flex;
	flex-direction: row;
	width: 45%;
	background: #1c1c1c;
	padding: 15px;
	border-radius: 10px;
	gap: 15px;
	margin: 5px;
    color: #ffffff;
}

.card_name {
	display: none;
	flex-direction: row;
	width: 45%;
	background: #1c1c1c;
	padding: 15px;
	border-radius: 10px;
	gap: 15px;
	margin: 5px;
    color: #ffffff;
}

.card_container {
	width: 900px;
	display: flex;
	flex-wrap: wrap;
}

.blank_shirt_img {
	width: 30%;
	border-radius: 6px;
	background: #000;
	object-fit: cover;
}

.details {
	display: flex;
	flex-direction: column;
	flex: 1;
}

.title {
	font-size: 20px;
	font-weight: bold;
	margin-bottom: 6px;
	text-align: left;
}

.meta {
	font-size: 12px;
	color: #ccc;
	margin-bottom: 10px;
	text-align: left;
}

.meta b {
	display: inline-block;
	border: 1px solid #fff;
}

.sizes {
	display: flex;
	flex-direction: column;
	gap: 6px;
	flex: 1;
    color: #ffffff;
}

.size-row {
	display: flex;
	justify-content: space-between;
	align-items: center;
	background: linear-gradient(to right, #3a3a3a, #1c1c1c);
	padding-left: 10px;
	font-weight: bold;
	border-radius: 5px 0 0 5px; /* top-left | top-right | bottom-right | bottom-left */
}

input {
	width: 110px;
	font-size: 20px;
	padding: 5px;
	margin: 3px;
	background: #000;
	color: #0f0;
	border: 1px solid #333;
	text-align: center;
	font-weight: bold;
}

button {
	margin-top: 10px;
	width: 100%;
	padding: 10px;
	background: #00c853;
	border: none;
	color: white;
	cursor: pointer;
	border-radius: 4px;
	font-size: 20px;
}

button:hover {
	background: #00e676;
}

.nav {
	position: relative;
	width: 900px;
	/*height: 224px;*/
	margin: auto;
	text-align: left;
}

.nav-btn {
	position: absolute;
	display: block;
	z-index: 5;
}

.nav-btn:hover {
}

/*
=========================
		TOP NAV ROW
=========================
*/

/* MAIN INDEX */
.main_site_index {
	width: 900px;
	height: 72px;
	display: inline-block;
}

/* BLANK SHIRT STOCK */
.stock {
}

/* SHIRT DESIGN */
.design {
}

/*
=========================
		GRID / LIST ROW - SHIRTS
=========================
*/

/* GRID */
.by_name {
}

/* LIST */
.by_color {
}

/*
=========================
		GRID / LIST ROW - DESIGN
=========================
*/

/* GRID */
.grid {
	top: 146px;
	left: 148px;
	width: 94px;
	height: 35px;
	background-position: -148px -146px;
}

/* LIST */
.list {
	top: 146px;
	left: 286px;
	width: 80px;
	height: 35px;
	background-position: -286px -146px;
}

/*
=========================
		ADD ROW
=========================
*/

/* ADD */
.add_shirt {
	top: 183px;
	left: 0px;
	width: 95px;
	height: 45px;
	background-position: 0px -183px;
}

.add_shirt_box {
	width: 900px;
	margin: 0px auto;
	text-align: center;
}

.add_large {
	font-size: 24px;
	border-radius: 10px;
	padding: 5px 15px;
	background: linear-gradient(#20ff00, #686868);
	font-weight: bold;
}

.add_image_vs_button {
	cursor: pointer;
	width: 420px;
	height: 100px;
	background-color: white;
	font-size: 40px;
	text-transform: uppercase;

text-align: center;
	border-radius: 10px;
	padding: 10px;
	background: linear-gradient(#d9d9d9, #ffffff);
	color: #000000;
	margin-bottom: 100px;
	transition: all 0.2s ease;
}

.add_image_vs_button:hover {
	transform: scale(1.03);
	border-color: #000;
}

.sales_link {
	color: #10e110;
	font-weight: bold;
}
.sales_link:hover {
	color: #ffffff;
	font-weight: bold;
}

input[value="0"] {
	color: red;
}

.highlight-glow {
	animation: glowPulse 1.4s ease-out;
}

@keyframes glowPulse {
	0% {
	border-color: rgba(0, 255, 94, 1);
	box-shadow:
		0 0 0px rgba(34, 197, 94, 0);
	}

	25% {
	border-color: rgba(34, 197, 94, 0.45);
	box-shadow:
		0 0 6px rgba(34, 197, 94, 0.95),   /* tight bright core */
		0 0 18px rgba(34, 197, 94, 0.9),
		0 0 32px rgba(34, 197, 94, 0.75),
		0 0 48px rgba(34, 197, 94, 0.6);
	}

	60% {
	border-color: rgba(34, 197, 94, 0.6);
	box-shadow:
		0 0 4px rgba(34, 197, 94, 0.8),
		0 0 14px rgba(34, 197, 94, 0.6),
		0 0 24px rgba(34, 197, 94, 0.45);
	}

	100% {
	border-color: rgba(34, 197, 94, 0);
	box-shadow:
		0 0 0px rgba(34, 197, 94, 0);
	}
}

.color_selector {
	font-size: 40px;
	border-radius: 15px;
	font-weight: bold;
	padding: 10px 20px;

	/* remove default styling where possible */
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	cursor: pointer;
}

.highlight-bg {
	background-color: #004118 !important;
}

@keyframes helter_skelter {
	0% { color: #02dd02; }
	50% { color: #007500; }
	100% { color: #02dd02; }
}

.helter_skelter {
	padding-top: 20px;
	padding-bottom: 20px;
	margin: 0px auto;
	text-align: center;
	font-weight: bold;
	color: #000000;
	width: 50%;
}

.helter_skelter a {
	color: green;
	-webkit-text-stroke: 1px black;
	animation: helter_skelter 2s infinite;
}



/* SHIRT DESIGN */
/* SHIRT DESIGN */



/* LAYOUT */
.row {
	display: inline-block;
	margin: 1%;
	vertical-align: top;
	border: 2px solid #5b5b5b;
	padding: 5px;
	width: 100%;
	border-radius: 15px;
	background: linear-gradient(#dfdddd, #838282);
}

.list-item {
	display: inline-block;
	width: 100%;
	margin: 0px auto;
	text-align: center;
}

/* GRID */
.shirt-wrap {
	display: block;
	width: 900px;
	margin: 0px auto;
}

.grid-mode .shirt-wrap {
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
}

.grid-mode .row {
	display: block;
	width: 200px;
	margin: 5px;
	border: none;
	padding: 0;
	background: none;
}

.grid-mode .list-item {
	display: none;
}

.grid-item {
	display: none;
}

.grid-mode .grid-item {
	display: block;
	cursor: pointer;
	text-align: center;
	color: #000000;
}

.grid-item img {
	width: 100%;
	aspect-ratio: 1/1;
	object-fit: cover;
	border: 1px solid #000;
	border-radius: 10px;
}

.grid-item div {
	margin-top: 6px;
	font-weight: bold;
}

/* UI */
.shirt_thumb {
	width: 200px;
	height: 200px;
	/*background: #e7e7e7;*/
	border-radius: 15px;
}

.physical_shirt {
	width: 200px;
	height: 200px;
	border-radius: 15px;
}

select {
	margin:	3px;
	font-size: 20px;
}

button {
	border: 2px solid #000;
	color: #fff;
	padding: 5px;
	cursor: pointer;
}

.add_sales {
	background: #28a745;
	font-weight: bold;
	border-radius: 5px;
	/*font-size: 20px;*/
}

.sub_sales {
	background: #dc3545;
	font-weight: bold;
	border-radius: 5px;
	/*font-size: 20px;*/
}

.add {
	background: #28a745;
	font-weight: bold;
	border-radius: 5px;
}

.sub {
	background: #dc3545;
	font-weight: bold;
	border-radius: 5px;
}

.del {
	background: #dc3545;
	margin-top: 10px;
	font-weight: bold;
	animation: del 2s infinite;
	width: 200px;
	font-size: 26px;
}

.size {
	/*border-bottom: 1px solid #ddd;*/
	padding: 10px 0px 0px 0px;
	margin-top: 0px;
    margin-bottom: 10px;
	}

/*div > form:nth-child(7) {
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
	padding: 10px 0px 0px 0px;
	margin-top: 0px;
}*/ /* adds a border to the bottom size sales element */

.asset-links {
	width: 100%;
}

.asset-links a{
    background: #28a745;
	color: #fff;
    padding: 4px 8px;
	text-decoration: none;
    margin-right: 6px;
	border: 2px solid #000;
	font-weight: bold;
}

.upload_container {
	display: flex;
	gap: 20px; /* spacing between boxes */
	justify-content: center; /* centers horizontally */
}

.upload_a_shirt_inputs {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;

	border: 1px solid #a9a9a9;
	width: 100px;
	height: 100px;
	text-align: center;
	border-radius: 10px;
	padding: 10px;
	background: linear-gradient(#d9d9d9, #ffffff);
	color: #000000;
}

.design_and_shirt_thumbs {
	width: 100%;
	padding: 5px 0px 10px 0px;
}

.wanna_add_a_shirt {
	cursor: pointer;
}

@keyframes del {
	0% { background: #dc3545; }
	50% { background: #000000; }
	100% { background: #dc3545; }
}

@keyframes helter_skelter {
	0% { color: #02dd02; }
	50% { color: #007500; }
	100% { color: #02dd02; }
}

.upload_a_shirt_inputs {
	transition: background 0.2s ease;
}



.upload_a_shirt_inputs {
	cursor: pointer;
	transition: all 0.2s ease;
}

.upload_a_shirt_inputs:hover {
	transform: scale(1.03);
	border-color: #000;
}

.label_upload_a_shirt_inputs {
	font-weight: bold;
	font-size: 18px;
}

.sub_upload_a_shirt_inputs {
	font-size: 12px;
	opacity: 0.7;
}

.fuck_buttons {
	display: none;
}

.add_a_shirt_form_field {
	font-size: 20px;
	width: 400px;
color: black;
	background-color: white;
	cursor: pointer;
	text-transform: uppercase;
text-align: center;
	border-radius: 10px;
}

.cream_total {
	font-size: 40px;
	color: #07ff07;
}

.card_list_item_master_art {
	border-radius: 10px;
	padding: 15px 0px 20px 0px;
	background-color: #5b5b5b;
	color: #ffffff;
	margin-bottom: 10px;
}

.card_list_item_title {
	background-color: #5b5b5b;
	color: #ffffff;
	border-radius: 10px;
	margin-bottom: 10px;
	padding: 15px 0px 20px 0px;
}

.card_list_top_title {
	font-size: 30px;
	font-weight: bold;
	overflow-wrap: break-word;
}

.sold_cost_input {
	width: 55px;
	border: 2px solid #000000;
	border-radius: 5px;
}

.front_dtf_quantity, .front_dtf_2xl_quantity, .back_dtf_quantity, .back_dtf_2xl_quantity {
	width: 55px;
	margin: 3px;
	font-size: 20px;
	text-align: center;
	border: 2px solid #000000;
	border-radius: 5px;
}

.control-row {
	display: flex;
	align-items: center;      /* vertical centering */
	justify-content: center;  /* horizontal centering */
	gap: 7px;              /* spacing between elements */
	background-color: #757575;
	padding: 4px;
	text-align: left;
}

/* INPUT */
.control-row input {
	/*height: 32px;*/
	width: 50px;
}

/* BUTTONS */
.control-row button {
	height: 34px;          /* ← match input height */
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
}

/* fixed columns */
.size-col   { width: 60px; font-size: 26px; text-align: left; }
.info-col   { /*width: 260px;*/ font-size: 24px; text-align: center; margin-bottom: 10px;  }
.input-col  { /*width: 70px;*/ border: 2px solid #000000; border-radius: 5px; }
.btn-col    { width: 70px; }

.info-col b {
	text-decoration: underline;
}

.info-col span {
	font-size: 12px;
	color: #000000;
}

.dtf_quantity_text {
	width: 150px;
	text-align: right;
	font-size: 20px;
}

b[data-qty="0"] {
	color: #860202;
}





/* ORDERS */
/* ORDERS */

/* TABLE */
table {
	width: 100%;
	border-collapse: collapse;
	color: #000;
	background: #fff;
}

th, td {
	padding: 10px;
	border: 1px solid #ccc;
	text-align: left;
}

th {
	background: #f4f4f4;
}

tr:nth-child(even) {
	background: #fafafa;
}

/* DELETE BUTTON */
.delete-btn {
	background: #c40000;
	color: #fff;
	border: none;
	padding: 6px 12px;
	cursor: pointer;
	border-radius: 4px;
	font-size: 14px;
	font-weight: bold;
	width: auto;
}

.delete-btn:hover {
	background: #ff0000;
}

/* SUCCESS MESSAGE */
.delete-message {
	margin-bottom: 15px;
	padding: 10px;
	background: #dff0d8;
	color: #2d6a2d;
	border: 1px solid #b6d7a8;
	border-radius: 5px;
	font-weight: bold;
}



/* EXPENSES */
/* EXPENSES */

.expense_totals_block,
.expense_form_block,
.expense_ledger_block {
    /*width: 100%;*/
    max-width: 900px;
    margin: 0 auto 40px auto;
    text-align: center;
}

.expense_totals_block h2,
.expense_form_block h2,
.expense_ledger_block h2 {
    margin-bottom: 15px;
	font-size: 50px;
}

.expense_form_block form {
    width: 100%;
}

.expense_form_block input {
	background: #ffffff;
	color: #000000;
	width: 400px;
}

/* Chrome, Safari, Edge, Opera */
.expense_form_block input::-webkit-outer-spin-button,
.expense_form_block input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.expense_form_block input[type=number] {
  -moz-appearance: textfield;
}





.expense_form_block textarea {
	background: #ffffff;
	color: #000000;
	width: 400px;
}

.expense_ledger_block table {
    width: 100%;
    border-collapse: collapse;
	font-size: 10px;
}

.expense_ledger_block th,
.expense_ledger_block td {
    padding: 10px;
    vertical-align: top;
}

hr {
    margin: 40px 0;
}

/* INDEX */
/* INDEX */

/*	img.inverted {
	  filter:  invert(1);
	}*/
	
	/* SPLASH IMAGE */
	
	.splash {
		margin-bottom: 50px;
	}
	
	.splash img {
		max-width: 900px;
		width: 100%;
		height: auto;
		display: block;
        clip-path: inset(2px);
	}
	
	/* THUMB ROW */
	
	.thumb-row {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 40px;
		flex-wrap: wrap;
		margin-bottom: 40px;
	}
	
	/* THUMB */
	
	.thumb {
		position: relative;
		width: 200px;
		height: 200px;
		overflow: hidden;
		transition: all 0.3s ease;
		display: block;
	}
	
	.thumb img {
		width: 100%;
		height: 100%;
		object-fit: cover;
		transition: all 0.3s ease;
	}
	
	/* DARK OVERLAY */
	
	.thumb::after {
		content: '';
		position: absolute;
		inset: 0;
		background: rgba(0,0,0,0);
		transition: all 0.3s ease;
		z-index: 1;
	}
	
	/* LOCK ICON */
	
	.thumb .lock {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		font-size: 52px;
		color: #fff;
		opacity: 0;
		transition: all 0.3s ease;
		z-index: 2;
	}
	
	/* HOVER EFFECT */
	
	.thumb:hover {
/*		width: 200px;
		height: 200px;*/
	}
	
	.thumb:hover::after {
		background: rgba(0,0,0,0.8);
	}
	
	.thumb:hover .lock {
		opacity: 1;
	}
	
	/* FOOTER TEXT */
	
	.footer_text {
		margin-top: 10px;
		font-size: 22px;
		letter-spacing: 4px;
		color: #cccccc;
		width: 100%;
		max-width: 900px;
	}
	
	.footer_text_nav {
		margin-top: 10px;
		font-size: 14px;
		letter-spacing: 0px;
		color: #575757;
		font-weight: bold;
		width: 100%;
		max-width: 900px;
	}
	

	.footer_text_nav a {
		color: #575757;
		transition:color 0.18s ease-in-out;
	}

	.footer_text_nav a:hover {
		color: #ffffff;
	}
	
	@media(max-width:768px){

    body{
        padding:20px 15px 40px;
    }

    .thumb-row{
        gap:18px;
    }

    .thumb{
        width:140px;
        height:140px;
    }

    .footer-text{
        letter-spacing:2px;
        line-height:1.8;
    }

}